/*
* Copyright 2009 Funambol, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

/* $Id$ */

#include "SetCommand.h"
#include "treemanager/IMOTreeManager.h"

#include "ManagementObjects/IMgmtObject.h"
#include "Logger/Logger.h"

namespace NS_DM_Client
{
	SetCommand::SetCommand(ProfileComponentsHolder* holder, IMgmtObject* mgmtObject, 
		NS_Common::EventEx* executionCompleted, bool& executionResult): 
		IMOTreeCommand(holder, mgmtObject, executionCompleted, executionResult)
	{

	}
	//-------------------------------------------------------------------------------------------

	bool SetCommand::run(IMOTreeManager& treeManager)
	{
		if (m_mgmtObject)
		{
			bool res = m_mgmtObject->Serialize(treeManager);
			if (!res)
			{
				LOG_ERROR_(m_logger, "Serialization to tree failed");
			}
			return res;
		}
		LOG_ERROR_(m_logger, "MgmtObject is NULL");
		return false;
	}
}
